Avatar Creators

List all creator configs for a project

get
Path parameters
projectIdstringRequired

The ID of the Project the Creator Config belongs to

Query parameters
offsetinteger · int32Optional

The offset into queried items to return

limitinteger · int32 · max: 100Optional

The maximum number of items to return (maximum 100)

searchstringOptional

The search query to filter the results

Responses
chevron-right
200

Success

application/json
totalResultsintegerRequired

The total number of results, before applying the limit and offset

offsetintegerRequired

The offset into queried items to return

limitintegerRequired

The maximum number of items to return

canWritebooleanRequired

Whether the user has write permissions

get
/v1/avatars/{projectId}/creator-configs

Get a creator config

get
Path parameters
projectIdstringRequired

The ID of the Project the Creator Config belongs to

creatorConfigIdstringRequired

The ID of the Creator Config to get

Responses
chevron-right
200

Success

application/json
and
get
/v1/avatars/{projectId}/creator-configs/{creatorConfigId}

Delete a creator config

delete
Path parameters
projectIdstringRequired

The ID of the Project the Creator Config belongs to

creatorConfigIdstringRequired

The ID of the Creator Config to delete

Responses
delete
/v1/avatars/{projectId}/creator-configs/{creatorConfigId}

No content

Update a creator config

patch
Path parameters
projectIdstringRequired

The ID of the Project the Creator Config belongs to

creatorConfigIdstringRequired

The ID of the Creator Config to update

Body
namestringOptional
catalogone ofOptional
or
allowedHoststring · nullableOptional
Responses
chevron-right
200

Success

application/json
idstringRequired
namestringRequired
catalogone ofRequired
or
allowedHoststring · nullableOptional
createdAtstringOptional
createdByone ofOptional
or
patch
/v1/avatars/{projectId}/creator-configs/{creatorConfigId}

Create a new creator config

post
Path parameters
projectIdstringRequired

The ID of the Project the Creator Config belongs to

Body
namestringRequired
catalogone ofRequired
or
allowedHoststring · nullableRequired
Responses
chevron-right
200

Success

application/json
idstringRequired
namestringRequired
catalogone ofRequired
or
allowedHoststring · nullableOptional
createdAtstringOptional
createdByone ofOptional
or
post
/v1/avatars/{projectId}/creator-configs

Last updated

Was this helpful?